FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 09-02-2010, 11:24 PM
 
Default emerging php with pdo and sqlite3 does not get the driver

Hi. I am trying to get the driver for pdo-sqlite in my php emerge. I
have the use flags for sqlite3 and pdo, but when I do php --info the
sqlite pdo driver is not there and this seems to be verified by doing
PDO::get_available_drivers which does not list it.

Any ideas on how to get this to work?

Thanks.

--
Your life is like a penny. You're going to lose it. The question is:
How do
you spend it?

John Covici
covici@ccs.covici.com
 
Old 09-03-2010, 05:59 AM
András Csányi
 
Default emerging php with pdo and sqlite3 does not get the driver

On 3 September 2010 01:24, <covici@ccs.covici.com> wrote:
> Hi. *I am trying to get the driver for pdo-sqlite in my php emerge. *I
> have the use flags for sqlite3 and pdo, but when I do php --info the
> sqlite pdo driver is not there and this seems to be verified by doing
> PDO::get_available_drivers which does not list it.
>
> Any ideas on how to get this to work?

As I know in he /etc/php directory you can set which module is enabled
and disabled. Please look this directory. On other hands please check
pdo-sqlite package is installed on your machine or not.

Unfortunately I'm not able to log in my machine to give you more
specified information what should you check.

--
- -
--* Csanyi Andras (Sayusi Ando)* -- http://sayusi.hu --
http://facebook.com/andras.csanyi
--* "Bízzál Istenben és tartsd szárazon a puskaport!".-- Cromwell
 
Old 09-03-2010, 06:50 AM
 
Default emerging php with pdo and sqlite3 does not get the driver

András Csányi <sayusi.ando@gmail.com> wrote:

> On 3 September 2010 01:24, <covici@ccs.covici.com> wrote:
> > Hi. *I am trying to get the driver for pdo-sqlite in my php emerge. *I
> > have the use flags for sqlite3 and pdo, but when I do php --info the
> > sqlite pdo driver is not there and this seems to be verified by doing
> > PDO::get_available_drivers which does not list it.
> >
> > Any ideas on how to get this to work?
>
> As I know in he /etc/php directory you can set which module is enabled
> and disabled. Please look this directory. On other hands please check
> pdo-sqlite package is installed on your machine or not.
>
> Unfortunately I'm not able to log in my machine to give you more
> specified information what should you check.
The program was happy once I put the use flag sqlite along with sqlite3
-- makes not much sense, but there it is.


--
Your life is like a penny. You're going to lose it. The question is:
How do
you spend it?

John Covici
covici@ccs.covici.com
 

Thread Tools




All times are GMT. The time now is 04:14 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org